hoe te dwingen uitbreiding compatibiliteit met Firefox 3.6+

Als u al een upgrade naar Firefox 3.6, zou je hebben gemerkt dat veel van uw extensies niet meer werken, en de oude checkCompatibility truc niet meer werkt. Of toch niet?

Dankzij mijn goede vriend Daniel voor het wijzen op de verandering in Firefox 3.6. Zijn persoonlijke blog is zo nerdy het zal je hoofd ontploffen.

Force Uitbreiding Compatibiliteit met Firefox 3.6+

Dit is de fout die je krijgt als je proberen en installeer een extensie die niet compatibel is. Besteed speciale aandacht aan de Firefox-versie reeks, zoals we dat later nodig zult hebben.

Typ about: config in de adresbalk, en vervolgens na het klikken op door de waarschuwing, wil je met de rechtermuisknop op in de lijst en kies Nieuw -> Boolean uit het menu.

Nu zullen we gevraagd om de naam voorkeur in te voeren. Dit is waar je nodig hebt om aandacht te besteden aan de exacte versie die u gebruikt, omdat de voorkeur moet worden ingesteld voor de exacte versie van Firefox u gebruikt.

Wij gebruiken Firefox 3.6b3, zoals vermeld in de bovenstaande foutmelding, zodat de voorkeur zou de volgende zijn … let op de hoofdletter C daar, heel belangrijk.

Update: Voor de huidige Firefox 3.6 release candidate je het volgende nodig

extensions.checkCompatibility.3.6

In principe is het formaat is extensions.checkCompatibility.VERSION.b voor Beta releases of extensions.checkCompatibility.VERSION.a voor Alpha releases. Dus als je het testen van Firefox 3.8 Alpha, zou je extensions.checkCompatibility.3.8a gebruiken als de naam voorkeur.

Ja, dat was niet de eenvoudigste zaak. Op het volgende dialoogvenster, kies “false” en het dialoogvenster te sluiten.

U ziet nu de waarde in de lijst als u filteren voor.

En uw extensies moeten nu installeren. Als ze dat niet doen, dan heeft u waarschijnlijk de verkeerde versie in de naam voorkeur.

Zeker een zeer nuttige tip, en een die ik vermoed ik zal met behulp van de hele tijd.

Er is een eenvoudiger manier – de Nightly Tester Gereedschap add-on. Zet een knop in de add-ons sidebar om de compatibiliteit te overschrijven.

De Nightly Tester Gereedschap voegt een hele hoop andere dingen die de meesten van ons niet willen. Ik zou liever gewoon de snelle tweak in plaats daarvan, en houd mijn extensie lijst kleiner.

Bedankt voor de tweak! Ik vroeg me af wat er gaande was.

Grote tweak Ik had geen idee dat je dit kon doen

Zoet! nu kan ik Firefox 3.6 opnieuw gebruiken. Ik installeerde het en problemen had, dus ik gestopt met het, maar dit kan ik het gebruiken nu.

Ik heb eigenlijk net als de nieuwe Add-on Compatibility Reporter door Mozilla. Het zet de compatibiliteit vlaggen in config voor u. Dan nadat u de extensies hebt getest, kunt u rapporten naar de add-on-ontwikkelaars om hen te laten weten dat hun toestellen compatibel zijn.

https://addons.mozilla.org/en-US/firefox/addon/15003

Ja, dit is de eerste instelling die ik gebruik bij het opzetten van een nieuw profiel.

Nou, dat kan problemen veroorzaken en kan crashen firefox. Een andere manier om een ​​bepaalde add-on het werken

1> Download de XPI bestand direct (Klik met de rechtermuisknop op de knop te installeren, doel opslaan als)

2> Pak het xpi bestand met Winrar of een dergelijk instrument.

3> Bewerk de install.rdf bestand – change versienummer 3.6 of iets anders. Sla bestand op.

4> Zip het bestand opnieuw. Wijzig de extensie (.zip to.xpi) – Installeer de add-on door te slepen.

Gelukkig, zal deze methode niet crash van de browser – en je kunt setings voor afzonderlijke add-ons te veranderen

Cheers!

Oprechte dank voor deze tip. Ik gebruik Roboform aan vele wachtwoorden op te slaan, en het is geweldig om het terug te krijgen, in plaats van het openen van IE wanneer ik een site te bezoeken waar ik een gebruikersnaam en wachtwoord nodig.

Erg behulpzaam.

MR Tech Toolkit add-on altijd zorgen voor de kwestie.

“MR Tech Toolkit add-on altijd zorgen voor de kwestie” geweldig antwoord, dat is waarom ik citeerde je Broni, precies wat ik wilde zeggen, werkt elke keer.

Veel dank. Het is gewoon de informatie die ik nodig had om te upgraden naar 3.6 FF

… Je maakte mijn dag !!

hello guys, ik volgde de stappen voor, maar toen ik overschakelen motoren, open een website met het tabblad IE add-on dit ene jusf stoppen en zegt LODAING op de naam tab, en nooit geeft de pagina, de eventuele aanwijzingen ???? ;dank je

mooie code ….!

Wat moet ik TYPE VOOR DE CODE ALS MIJN versie 3.6.13?

Bevat moedermelk wisselend melatonine basis van het tijdstip, de inhoud melatonine helpt het kind dienen zijn slaapcyclus en vermindert gevallen van koliek.